gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.CopyNode

Contents

- Exported types
- Methods
  - getChild
  - new

Description

A render node that copies the current state of the rendering canvas so a `PasteNode` can draw it.

Since: 4.22

Synopsis

- newtype CopyNode = CopyNode (ManagedPtr CopyNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf CopyNode o) => IsCopyNode o
- toCopyNode :: (MonadIO m, IsCopyNode o) => o -> m CopyNode
- copyNodeGetChild :: (HasCallStack, MonadIO m, IsCopyNode a) => a -> m RenderNode
- copyNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> m CopyNode

# Exported types

newtype CopyNode Source #

Memory-managed wrapper type.

Constructors

CopyNode (ManagedPtr CopyNode) |

#### Instances

Instances details

Eq CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode Methods (==) :: CopyNode -> CopyNode -> Bool Source # (/=) :: CopyNode -> CopyNode -> Bool Source #
BoxedPtr CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode Methods boxedPtrCopy :: CopyNode -> IO CopyNode Source # boxedPtrFree :: CopyNode -> IO () Source #
ManagedPtrNewtype CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode Methods toManagedPtr :: CopyNode -> ManagedPtr CopyNode Source #
TypedObject CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode Methods glibType :: IO GType Source #
HasParentTypes CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode
type ParentTypes CopyNode Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode type ParentTypes CopyNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf CopyNode o) => IsCopyNode o Source #

Type class for types which can be safely cast to `CopyNode`, for instance with `toCopyNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf CopyNode o) => IsCopyNode o Source # |
Instance details Defined in GI.Gsk.Objects.CopyNode

toCopyNode :: (MonadIO m, IsCopyNode o) => o -> m CopyNode Source #

Cast to `CopyNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getNodeType, getOpaqueRect.

#### Setters

None.

## getChild

copyNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsCopyNode a) |
=> a | `node`: a copy `GskRenderNode`
-> m RenderNode | Returns: the child `GskRenderNode`

Gets the child node that is getting drawn by the given `node`.

Since: 4.22

## new

copyNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The child
-> m CopyNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that copies the current rendering canvas for playback by paste nodes that are part of the child.

Since: 4.22